.calculator {
    width: 300px;
    margin: 0 auto;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0px 2px 5px #666;
    font-family: Arial, sans-serif;
  }
  
  .display {
    width: 100%;
    text-align: right;
    padding: 5px;
    box-sizing: border-box;
    background-color: #f5f5f5;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
  }
  
  .display input[type="text"] {
    width: 100%;
    border: none;
    background-color: transparent;
    font-size: 36px;
    font-weight: bold;
    color: #333;
    text-align: right;
    outline: none;
  }
  
  .keys {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 5px;
    padding: 5px;
    box-sizing: border-box;
    background-color: #eee;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
  }
  
  button {
    border: none;
    background-color: #fff;
    padding: 15px;
    font-size: 24px;
    font-weight: bold;
    color: #333;
    border-radius: 5px;
    box-shadow: 0px 2px 5px #666;
    cursor: pointer;
  }
  
  button:hover {
    background-color: #ccc;
  }
  
  button.operator {
    background-color: #ff9933;
    color: #fff;
  }
  
  button.operator:hover {
    background-color: #ff6600;
  }
  
  button.decimal {
    font-size: 36px;
  }
  
  button.clear {
    background-color: #ff6666;
    color: #fff;
  }
  
  button.clear:hover {
    background-color: #ff3333;
  }
  
  button.equal {
    background-color: #3399ff;
    color: #fff;
  }
  
  button.equal:hover {
    background-color: #0077dd;
  }
  